[B005]Single Sequence All Patent List

post
https://connect.patsnap.com/bio-openapi/sequence/patent
Try in Sandbox

Get all patents of single sequence by seq_id.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
page
Required
integer<int32>1
Current page number, start from 1
seq_id
Required
string834879
Sequence ID
size
Required
integer<int32>10
Current page result size, support maximum 100

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
total
integer<int32>1000
Total patent count of the sequence
patents
arrayPlease check the form: OpenApiPatentDetail
Patent List
pn
stringJP1999068462A
Patent publication number
claimed
booleantrue
Whether the subject sequence is in patent claims
location
object{ "APP": [ "5" ], "FIG": [ "1A" ], "PAGE": [ "55/56" ], "ANNEX": [ "2" ], "TABLE": [ "A-1" ], "EXAMPLE": [ "8" ] }
Sequence location in patent
patent_id
string94ea8785-959f-47cf-aba2-091605d30c12
Patent ID
sequence_id_number
array[ "1" ]
Sequence ID number in patent
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "total": 1000,
    "patents": [
      {
        "pn": "JP1999068462A",
        "claimed": true,
        "location": {
          "APP": [
            "5"
          ],
          "FIG": [
            "1A"
          ],
          "PAGE": [
            "55/56"
          ],
          "ANNEX": [
            "2"
          ],
          "TABLE": [
            "A-1"
          ],
          "EXAMPLE": [
            "8"
          ]
        },
        "patent_id": "94ea8785-959f-47cf-aba2-091605d30c12",
        "sequence_id_number": [
          "1"
        ]
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms